/* Begin reset */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/* End reset */


body {
	text-align:center;
	background-color:black;
	overflow: hide;
}
h1 {
	padding: 3vw 3vh 0 3vw;
	font-size:larger;
}
h1, h2 {
	font-family:"Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	font-weight:bold;
	color:#41B5FF;
	text-shadow: -1px -1px 10px #000, 1px -1px 10px #000, -1px 1px 10px #000, 1px 1px 10px #000;
	text-align:left;
}
h2{
	font-family:"Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;
	font-weight:bold;
	color:#41B5FF;
	position:absolute;
	text-shadow: -1px -1px 10px #000, 1px -1px 10px #000, -1px 1px 10px #000, 1px 1px 10px #000;
	padding-top:0.75vh;
	padding-left:0.75vh;
	text-align:left;
}

#background
{
	margin: 0 auto;
	position: fixed;
/*		position:absolute;*/
	z-index:-1;
}
#background img
{
	position:absolute;
	width:inherit;
	height:inherit;
	left:0;
	right:0;
	z-index:-1;
}
#navigation {
	float: left;
}
#main {
	position:relative;
	float: left;
	overflow: hidden;
	justify-content: center;
	align-items: center;
/*		display:flex;*/
}
#player-container {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding-bottom: 56.25%;
	position:relative;
	margin: 2vw 2vh;
	box-shadow: 0 0 8px 4px black;
}
#player{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
#player-overlay
{
	position:absolute;
	width:100%;
	height:100%;
	cursor:pointer;
	/*
	background-size:cover;
	background-repeat:no-repeat;
	*/
}

 .player-background
 {
	position:absolute;
	width:100%;
	height:100%;
	top:0;
	left:0;
 }

 .player-background:not(:first-child)
 {
	 display:none;
 }

.thumbnail-container{
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	position:relative;
	background-size:cover;
	background-repeat:no-repeat;
	margin: 1vw 1vh;
	box-shadow: 0 0 8px 2px black;
	cursor:pointer;
}
.thumbnail-container:hover
{
	/*opacity:0.7;*/
	box-shadow: 0 0 8px 1px white;
}
.thumbnail-container:hover .playpause {
	width:65%;
	height:65%;
	/*left:1%;
	top:1%;*/
}
#player-overlay:hover {
	/*opacity:0.7;*/
	box-shadow: 0 0 8px 1px white;
}
#player-overlay:hover .playpause {
	/*left:1%;
	top:1%;*/
	width:55%;
	height:55%;
}
.thumbnail-container span{
	display:none;
}
.playpause {
	background-image:url('http://blog.naturalborncamper.com/media_play_pause_resume_stroke.png');
	background-repeat:no-repeat;
	width:50%;
	height:50%;
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	margin:auto;
	background-size:contain;
	background-position: center;
}

@media screen and (orientation:landscape) {
	h2{
		font-size:1.5vw;
	}
	#navigation {
		width: 25%;
		overflow-x: hidden;
		overflow-y: scroll;
		height: 100vh;
	}
	#main {
		width: 75%;
		height: 100vh;
	}
	.thumbnail-container{
		width: 90%; /*100%;*/
		padding-bottom: 50.25%; /*56.25%; aspect ratio*/
	}
	#player-container {
		width:96%;
	}
}
@media screen and (orientation:portrait) {
	h2{
		font-size:2vh;
	}
	#navigation {
		width: 100%;
		overflow-x: scroll;
		overflow-y: hidden;
		height: 20vh;
		white-space: nowrap;
	}
	#main {
		width: 100%;
		height: 80vh;
	}
	.thumbnail-container{
		display: inline-block;
		height: 90%;
		width: 31.86vh; /* Height of #navigation * 1.77 aspect ratio * 90% height of this container = 20vh*1.77*90% */
	}
	#player-container {
		width:93%;
	}
}